<?php //Optimizaciones 25w12c
require_once("../../functions.php");
$pag = basename($_SERVER['PHP_SELF']);
gen_plantilla(true, $pag, false, false, '', false, false);

//Comprobar is está sistema de incidencias activo
if(!SISTEMA_INCIDENCIAS){
    crear_notificacion("error", "No tienes acceso a esta página");
    exit;
}

if (!isset($_POST['fecha_inicio']) || !isset($_POST['fecha_fin']) || !isset($_POST['id_grupo'])) {
    no_hay_nada();
    exit;
}

$fecha_inicio = filter_input(INPUT_POST, 'fecha_inicio', FILTER_SANITIZE_SPECIAL_CHARS);
$fecha_fin = filter_input(INPUT_POST, 'fecha_fin', FILTER_SANITIZE_SPECIAL_CHARS);
$id_grupo = filter_input(INPUT_POST, 'id_grupo', FILTER_SANITIZE_NUMBER_INT);

//Consulta incidencias afectadas
$incidencias_afectadas = consulta(
    'SELECT i.nombre_empleado, i.rh1, i.rh2, i.rh3, i.rh4, i.rh5, i.rh6, i.fecha, i.descripcion
    FROM incidencias AS i
    LEFT JOIN empleados AS t ON i.id_empleado=t.id
    WHERE i.estado=1 AND t.id_grupo = ? AND i.fecha BETWEEN ? AND ?;',
    [$id_grupo, $fecha_inicio, $fecha_fin],
    true
);

if (empty($incidencias_afectadas)) {
    no_hay_nada();
    exit;
}
echo '<section class="flex column gap05" style="justify-content:flex-start;overflow-y:auto; max-height:10rem;
    padding:.5rem;">';
for ($i = 0; $i < count($incidencias_afectadas); $i++) {
    echo '<section class="flex row gap05" style="justify-content: space-between; width: 100%;">';
    echo "<span>" . date('d/m/Y', strtotime($incidencias_afectadas[$i]['fecha'])) . "</span>";
    echo "<span>" . $incidencias_afectadas[$i]['nombre_empleado'] . "</span>";
    echo "<span>" . ($incidencias_afectadas[$i]['rh6']
        && is_string($h1 = $incidencias_afectadas[$i]['rh1'])
        && $incidencias_afectadas[$i]['rh1'] !== '00:00:00' ?
        substr($h1, 0, 5) : '-') . "</span>";
    echo "<span>" . ($incidencias_afectadas[$i]['rh2']
        && is_string($h2 = $incidencias_afectadas[$i]['rh2']) && $incidencias_afectadas[$i]['rh2'] !== '00:00:00' ?
        substr($h2, 0, 5) : '-') . "</span>";

    echo "<span>" . ($incidencias_afectadas[$i]['rh3']
        && is_string($h3 = $incidencias_afectadas[$i]['rh3']) && $incidencias_afectadas[$i]['rh3'] !== '00:00:00' ?
        substr($h3, 0, 5) : '-') . "</span>";

    echo "<span>" . ($incidencias_afectadas[$i]['rh4']
        && is_string($h4 = $incidencias_afectadas[$i]['rh4']) && $incidencias_afectadas[$i]['rh4'] !== '00:00:00' ?
        substr($h4, 0, 5) : '-') . "</span>";

    echo "<span>" . ($incidencias_afectadas[$i]['rh5']
        && is_string($h5 = $incidencias_afectadas[$i]['rh5']) && $incidencias_afectadas[$i]['rh5'] !== '00:00:00' ?
        substr($h5, 0, 5) : '-') . "</span>";

    echo "<span>" . ($incidencias_afectadas[$i]['rh6']
        && is_string($h6 = $incidencias_afectadas[$i]['rh6']) && $incidencias_afectadas[$i]['rh6'] !== '00:00:00' ?
        substr($h6, 0, 5) : '-') . "</span>";
    echo "<span class='flex row no-wrap gap05 pointer'>" . $incidencias_afectadas[$i]['descripcion'] . "</span>";
    echo "</section>";
}
echo '</section>';
